body {
    min-height: 100%;
    min-width: 100%;
    margin: 0;
    background-color: #fffbe6;  
    display: flex; 
    flex-direction: column;
    font-family: monospace;
}

/* Start screen overlay */
#intro {
    display: block; 
    position: fixed;
    left: 0; /* left and right setting to keep centered */
    right: 0;
    height: 100%;
    width:100%;
    padding-top: 20vh;
    z-index: 10;
    background-color: #fee7bbda; 
    text-align: center;     
}

#intro h1 {
    font-weight: bold;
    color: #C45824;
    font-size: 44px;
}

#intro p {
    color:#de8355;
    font-size: 24px;
}

#start-btn,
#replay-btn {
    background-color: rgb(0, 210, 252);
    color: white;
    padding: 16px; 
    border-radius: 15px;
    font-size: 24px;  
    margin-top: 48px;
    border: none; 
}

/* replay screen overlay */
#replay {
    display: none; 
    position: fixed;
    left: 0;
    right: 0;
    height: 100%;
    width:100%;
    padding-top: 35vh; /* a little above the center */
    z-index: 1;
    background-color: #fee7bbda; 
}

/* modal pop up for replay*/
.modal {
    background-color: #fffbe6;
    margin: 0 auto;
    width: 30%;
    padding: 30px;
    border-radius: 10px;
    font-size: 40px;
    text-align: center;
}

.modal p {
    margin: 0px;
}

#header {
    flex: 1 0 20vh; /* set no shrink to stick */
    display: flex; 
    justify-content: space-evenly;
    background-color: #f8d79b54;
}

.icon {
    flex: 1; 
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-width: 120px;
}

.icon p {
    color: #de8355;
    font-size: 180%;
    margin: 0;
    text-align: center;
}

.emoji-face {
    font-size: 700%;
}

.score-board {
    flex: 1; 
    display: flex; 
    align-items: center;
}

.score-board h2 {
    color: #de8355;
    font-size: 350%;
    font-weight: 700; 
}

.score-box {
    aspect-ratio: 1/1;  
    margin: 40px; 
    min-width: 75px; 
    min-height: 75px; 
    border-radius: 15px; 
    background-color: #F8D79B;
}

.result {
    flex: 1 50vh;
    display: flex; 
    justify-content: space-evenly;
    align-items: center; 
}

/* prompt and winner-call messages in the middle */
.winner-call {
    flex: 1; 
    display: flex; 
    justify-content: center; 
    align-items: center; 
    text-align: center;
    min-height: 50vh; 
    font-size: 300%;
}

.shout {
    font-size: 500%; 
    font-weight: bold;
}

#player-choice, 
#computer-choice {
    flex: 1;
    display: flex; 
    justify-content: center; 
    font-size: 1700%;
    text-align: center;
    line-height: 0; /* emoji's default space removed */
    padding-top: 20px; 
}

#player, 
#computer {
    flex: 1;
    display: flex; 
    justify-content: center; 
    align-items: center; 
    font-family: Arial, Helvetica, sans-serif;
    font-size: 400%; 
    color: #C45824;
}

.buttons {
    flex: 1 0 25vh; /* set to no shrink to stick to bottom */
    background-color: #ecececfe;
    display: flex; 
    padding: 20px 0;
    justify-content: space-evenly; 
    align-items: center;
}

.rock, 
.paper, 
.scissors {
    display: flex; 
    flex-direction: column;  
    align-items: center;  
}

.labels {
    text-align: center;
    font-size: 180%;
}

.button {
    min-height: 150px;
    min-width: 150px;
    background-color: #979494;
    font-size: 650%;
    border-radius: 50%;
    margin: 10px;
    border: none;
    box-shadow: 0 10px 0 3px #7b7a7a;
    cursor: pointer;
}

button:hover {
    background-color: #d9d9d9; 
  }

button:active {
    background-color: #f9f9f9;
    box-shadow: 0 5px rgb(56, 56, 56);
    transform: translateY(4px);
  }

.footer {
    color: #a5a5a5;
    background-color: #ecececfe;
    text-align: right;
    box-shadow: 0 50vh 0 50vh #ecececfe; /* setting to stretch the color all to the screen bottom */
    padding-top: 20px;
    margin-top: auto;
}